Skip to content

Local Login

POST
/auth/login
curl --request POST \
--url https://example.com/auth/login \
--header 'Content-Type: application/json' \
--data '{ "email": "hello@example.com", "password": "example", "totp_code": "example", "device_name": "example" }'

Authenticate with email and password (local auth).

Media typeapplication/json
LoginRequest
object
email
required
Email
string format: email
password
required
Password
string
<= 1024 characters
totp_code
Any of:
string
<= 32 characters
device_name
Any of:
string
<= 100 characters

Example generated

{
"email": "hello@example.com",
"password": "example",
"totp_code": "example",
"device_name": "example"
}

Successful Response

Media typeapplication/json

Example generated

example

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object

Example generated

{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}